Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameTitlePane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.plaf.basic.BasicInternalFrameTitlePane

public class BasicInternalFrameTitlePane
extends JComponent

The class that manages a basic title bar

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`class` | `BasicInternalFrameTitlePane.CloseAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.IconifyAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.MaximizeAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.MoveAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.PropertyChangeHandler` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.RestoreAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.SizeAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.SystemMenuBar` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.TitlePaneLayout` This inner class is marked "public" due to a compiler bug.

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Field Summary
`protected static java.lang.String` | `CLOSE_CMD`
`protected Action` | `closeAction`
`protected JButton` | `closeButton`
`protected Icon` | `closeIcon`
`protected javax.swing.plaf.basic.BasicInternalFrameTitlePane.DoubleClickAdapter` | `doubleClickAdapter`
`protected JInternalFrame` | `frame`
`protected JButton` | `iconButton`
`protected Icon` | `iconIcon`
`protected static java.lang.String` | `ICONIFY_CMD`
`protected Action` | `iconifyAction`
`protected JButton` | `maxButton`
`protected Icon` | `maxIcon`
`protected static java.lang.String` | `MAXIMIZE_CMD`
`protected Action` | `maximizeAction`
`protected JMenuBar` | `menuBar`
`protected Icon` | `minIcon`
`protected static java.lang.String` | `MOVE_CMD`
`protected Action` | `moveAction`
`protected java.awt.Color` | `notSelectedTextColor`
`protected java.awt.Color` | `notSelectedTitleColor`
`protected java.beans.PropertyChangeListener` | `propertyChangeListener`
`protected static java.lang.String` | `RESTORE_CMD`
`protected Action` | `restoreAction`
`protected java.awt.Color` | `selectedTextColor`
`protected java.awt.Color` | `selectedTitleColor`
`protected static java.lang.String` | `SIZE_CMD`
`protected Action` | `sizeAction`
`protected JMenu` | `windowMenu`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`BasicInternalFrameTitlePane(JInternalFrame f)`

Method Summary
`void` | `addNotify()`
`protected void` | `addSubComponents()`
`protected void` | `addSystemMenuItems(JMenu systemMenu)`
`protected void` | `assembleSystemMenu()`
`protected void` | `createActions()`
`protected void` | `createButtons()`
`protected java.awt.LayoutManager` | `createLayout()`
`protected java.beans.PropertyChangeListener` | `createPropertyChangeListener()`
`protected JMenu` | `createSystemMenu()`
`protected JMenuBar` | `createSystemMenuBar()`
`protected void` | `enableActions()`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `installTitlePane()`
`void` | `paintComponent(java.awt.Graphics g)`
`protected void` | `postClosingEvent(JInternalFrame frame)` Post a WINDOW_CLOSING-like event to the frame, so that it can be treated like a regular Frame.
`void` | `removeNotify()`
`protected void` | `setButtonIcons()`
`protected void` | `showSystemMenu()`
`protected void` | `uninstallDefaults()`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### menuBar

    protected JMenuBar menuBar

### iconButton

    protected JButton iconButton

### maxButton

    protected JButton maxButton

### closeButton

    protected JButton closeButton

### windowMenu

    protected JMenu windowMenu

### frame

    protected JInternalFrame frame

### selectedTitleColor

    protected java.awt.Color selectedTitleColor

### selectedTextColor

    protected java.awt.Color selectedTextColor

### notSelectedTitleColor

    protected java.awt.Color notSelectedTitleColor

### notSelectedTextColor

    protected java.awt.Color notSelectedTextColor

### maxIcon

    protected Icon maxIcon

### minIcon

    protected Icon minIcon

### iconIcon

    protected Icon iconIcon

### closeIcon

    protected Icon closeIcon

### propertyChangeListener

    protected java.beans.PropertyChangeListener propertyChangeListener

### doubleClickAdapter

    protected javax.swing.plaf.basic.BasicInternalFrameTitlePane.DoubleClickAdapter doubleClickAdapter

### closeAction

    protected Action closeAction

### maximizeAction

    protected Action maximizeAction

### iconifyAction

    protected Action iconifyAction

### restoreAction

    protected Action restoreAction

### moveAction

    protected Action moveAction

### sizeAction

    protected Action sizeAction

### CLOSE_CMD

    protected static final java.lang.String CLOSE_CMD

### ICONIFY_CMD

    protected static final java.lang.String ICONIFY_CMD

### RESTORE_CMD

    protected static final java.lang.String RESTORE_CMD

### MAXIMIZE_CMD

    protected static final java.lang.String MAXIMIZE_CMD

### MOVE_CMD

    protected static final java.lang.String MOVE_CMD

### SIZE_CMD

    protected static final java.lang.String SIZE_CMD

Constructor Detail

### BasicInternalFrameTitlePane

    public BasicInternalFrameTitlePane(JInternalFrame f)

Method Detail

### installTitlePane

    protected void installTitlePane()

### addSubComponents

    protected void addSubComponents()

### createActions

    protected void createActions()

### installListeners

    protected void installListeners()

### installDefaults

    protected void installDefaults()

### uninstallDefaults

    protected void uninstallDefaults()

### addNotify

    public void addNotify()

  Overrides:
    addNotify in class JComponent

### removeNotify

    public void removeNotify()

  Overrides:
    removeNotify in class JComponent

### createButtons

    protected void createButtons()

### setButtonIcons

    protected void setButtonIcons()

### assembleSystemMenu

    protected void assembleSystemMenu()

### addSystemMenuItems

    protected void addSystemMenuItems(JMenu systemMenu)

### createSystemMenu

    protected JMenu createSystemMenu()

### createSystemMenuBar

    protected JMenuBar createSystemMenuBar()

### showSystemMenu

    protected void showSystemMenu()

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Overrides:
    paintComponent in class JComponent

### postClosingEvent

    protected void postClosingEvent(JInternalFrame frame)

  Post a WINDOW_CLOSING-like event to the frame, so that it can be treated like a regular Frame.

### enableActions

    protected void enableActions()

### createPropertyChangeListener

    protected java.beans.PropertyChangeListener createPropertyChangeListener()

### createLayout

    protected java.awt.LayoutManager createLayout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.